
import 'package:json_annotation/json_annotation.dart';

part 'business_contact_model.g.dart';

@JsonSerializable(fieldRename: FieldRename.snake)
class BusinessContactModel{
  final String id;
  final String? firstName;
  final String? lastName;
  final String? email;
  final String? phone;
  final String? address;
  
  BusinessContactModel({
    required this.id,
    this.firstName,
    this.lastName,
    this.email,
    this.phone,
    this.address,
  });
  
  factory BusinessContactModel.fromJson(Map<String, dynamic> json) {
      return _$BusinessContactModelFromJson(json);
    }
  
  Map<String, dynamic> toJson() => _$BusinessContactModelToJson(this);
}